---

kind: pipeline
type: docker
name: default

steps:
  - name: deploy main BOM
    image: appleboy/drone-scp
    settings: &scp_settings
      host: dragon.luj0ga.de
      port: 4222
      username: www-data
      key:
        from_secret: ssh_key
      passphrase:
        from_secret: ssh_passphrase
      target: /var/www/bom.ljg.sh/${DRONE_REPO_NAME}
      source: electrical/bom/ibom.html
      strip_components: 2
      overwrite: yes

  - name: deploy temperature sensor BOM
    image: appleboy/drone-scp
    settings:
      <<: *scp_settings
      target: /var/www/bom.ljg.sh/${DRONE_REPO_NAME}/temperature-sensor
      source: electrical/temperature-sensor/bom/ibom.html
      strip_components: 3

trigger:
  event:
    - push
  branch:
    - main
